> For the complete documentation index, see [llms.txt](https://clients.medianova.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://clients.medianova.com/api-documentation/object-storage-stook/ftp-accounts.md).

# FTP Accounts

## GET /api/v2/stook/{organization\_uuid}/ftp

> Retrieve FTP accounts

```json
{"openapi":"3.0.0","info":{"title":"Medianova Cloud API","version":"1.0.0"},"tags":[{"name":"FTP Accounts","description":"Manage FTP-based access to buckets."}],"servers":[{"url":"https://cloud.medianova.com/api","description":"Medianova Cloud API server"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/stook/{organization_uuid}/ftp":{"get":{"summary":"Retrieve FTP accounts","operationId":"getFTPAccounts","tags":["FTP Accounts"],"parameters":[{"name":"organization_uuid","in":"path","required":true,"description":"The UUID of the organization","schema":{"type":"string"}}],"responses":{"200":{"description":"FTP accounts retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"boolean","description":"Indicates the success of the request"},"data":{"type":"array","items":{"type":"object","properties":{"uuid":{"type":"string","description":"The unique identifier of the FTP account"},"name":{"type":"string","description":"The name of the FTP account"},"bucket_uuid":{"type":"string","description":"The UUID of the associated bucket"},"path":{"type":"string","description":"The path for the FTP account"},"login_allowed":{"type":"boolean","description":"Indicates if login is allowed for the FTP account"},"is_readonly":{"type":"boolean","description":"Indicates if the FTP account is read-only"},"wrap_rules":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["allow","deny"],"description":"The type of rule"},"rule":{"type":"array","items":{"type":"string","description":"The IP address or range to allow or deny"}}}}}}}}}}}}}}}}}}
```

## GET /api/v2/stook/{organization\_uuid}/ftp/{ftp\_uuid}

> Retrieve FTP account details

```json
{"openapi":"3.0.0","info":{"title":"Medianova Cloud API","version":"1.0.0"},"tags":[{"name":"FTP Accounts","description":"Manage FTP-based access to buckets."}],"servers":[{"url":"https://cloud.medianova.com/api","description":"Medianova Cloud API server"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/stook/{organization_uuid}/ftp/{ftp_uuid}":{"get":{"summary":"Retrieve FTP account details","operationId":"getFTPAccountDetails","tags":["FTP Accounts"],"parameters":[{"name":"organization_uuid","in":"path","required":true,"description":"The UUID of the organization","schema":{"type":"string"}},{"name":"ftp_uuid","in":"path","required":true,"description":"The UUID of the FTP account","schema":{"type":"string"}}],"responses":{"200":{"description":"FTP account details retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"boolean","description":"Indicates the success of the request"},"data":{"type":"object","properties":{"uuid":{"type":"string","description":"The unique identifier of the FTP account"},"bucket_uuid":{"type":"string","description":"The UUID of the associated bucket"},"name":{"type":"string","description":"The name of the FTP account"},"path":{"type":"string","description":"The path for the FTP account"},"login_allowed":{"type":"boolean","description":"Indicates if login is allowed for the FTP account"},"count":{"type":"integer","description":"The count of associated items"},"is_readonly":{"type":"boolean","description":"Indicates if the FTP account is read-only"},"wrap_rules":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["allow","deny"],"description":"The type of rule"},"rule":{"type":"array","items":{"type":"string","description":"The IP address or range to allow or deny"}}}}}}}}}}}}}}}}}
```

## POST /api/v2/stook/{organization\_uuid}/ftp

> Create a new FTP account

```json
{"openapi":"3.0.0","info":{"title":"Medianova Cloud API","version":"1.0.0"},"tags":[{"name":"FTP Accounts","description":"Manage FTP-based access to buckets."}],"servers":[{"url":"https://cloud.medianova.com/api","description":"Medianova Cloud API server"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/stook/{organization_uuid}/ftp":{"post":{"summary":"Create a new FTP account","operationId":"createFTPAccount","tags":["FTP Accounts"],"parameters":[{"name":"organization_uuid","in":"path","required":true,"description":"The UUID of the organization","schema":{"type":"string"}}],"requestBody":{"description":"FTP account creation payload","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the FTP account"},"password":{"type":"string","description":"The password for the FTP account"},"bucket_uuid":{"type":"string","description":"The UUID of the associated bucket"},"is_readonly":{"type":"boolean","description":"Indicates if the FTP account is read-only"},"path":{"type":"string","description":"The path for the FTP account"},"wrap_rules":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["allow","deny"],"description":"The type of rule"},"rule":{"type":"array","items":{"type":"string","description":"The IP address or range to allow or deny"}}},"required":["type","rule"]}}},"required":["name","password","bucket_uuid","is_readonly","path","wrap_rules"]}}}},"responses":{"200":{"description":"FTP account successfully created","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"boolean","description":"Indicates the success of the request"},"data":{"type":"object","properties":{"uuid":{"type":"string","description":"The unique identifier of the FTP account"},"bucket_uuid":{"type":"string","description":"The UUID of the associated bucket"},"name":{"type":"string","description":"The name of the FTP account"},"path":{"type":"string","description":"The path for the FTP account"},"login_allowed":{"type":"boolean","description":"Indicates if login is allowed for the FTP account"},"count":{"type":"integer","description":"The count of associated items"},"is_readonly":{"type":"boolean","description":"Indicates if the FTP account is read-only"},"wrap_rules":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["allow","deny"],"description":"The type of rule"},"rule":{"type":"array","items":{"type":"string","description":"The IP address or range to allow or deny"}}}}}}}}}}}}}}}}}
```

## PUT /api/v2/stook/{organization\_uuid}/ftp/{ftp\_uuid}

> Update FTP account

```json
{"openapi":"3.0.0","info":{"title":"Medianova Cloud API","version":"1.0.0"},"tags":[{"name":"FTP Accounts","description":"Manage FTP-based access to buckets."}],"servers":[{"url":"https://cloud.medianova.com/api","description":"Medianova Cloud API server"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/stook/{organization_uuid}/ftp/{ftp_uuid}":{"put":{"summary":"Update FTP account","operationId":"updateFTPAccount","tags":["FTP Accounts"],"parameters":[{"name":"organization_uuid","in":"path","required":true,"description":"The UUID of the organization","schema":{"type":"string"}},{"name":"ftp_uuid","in":"path","required":true,"description":"The UUID of the FTP account","schema":{"type":"string"}}],"requestBody":{"description":"FTP account update payload","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"password":{"type":"string","description":"The password for the FTP account"},"login_allowed":{"type":"boolean","description":"Indicates if login is allowed for the FTP account"},"path":{"type":"string","description":"The path for the FTP account"},"is_readonly":{"type":"boolean","description":"Indicates if the FTP account is read-only"},"wrap_rules":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["allow","deny"],"description":"The type of rule"},"rule":{"type":"array","items":{"type":"string","description":"The IP address or range to allow or deny"}}}}}}}}}},"responses":{"200":{"description":"FTP account successfully updated","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"boolean","description":"Indicates the success of the request"},"data":{"type":"object","properties":{"uuid":{"type":"string","description":"The unique identifier of the FTP account"},"bucket_uuid":{"type":"string","description":"The UUID of the associated bucket"},"name":{"type":"string","description":"The name of the FTP account"},"path":{"type":"string","description":"The path for the FTP account"},"login_allowed":{"type":"boolean","description":"Indicates if login is allowed for the FTP account"},"count":{"type":"integer","description":"The count of associated items"},"is_readonly":{"type":"boolean","description":"Indicates if the FTP account is read-only"},"wrap_rules":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["allow","deny"],"description":"The type of rule"},"rule":{"type":"array","items":{"type":"string","description":"The IP address or range to allow or deny"}}}}}}}}}}}}}}}}}
```

## DELETE /api/v2/stook/{organization\_uuid}/ftp/{ftp\_uuid}

> Delete an FTP account

```json
{"openapi":"3.0.0","info":{"title":"Medianova Cloud API","version":"1.0.0"},"tags":[{"name":"FTP Accounts","description":"Manage FTP-based access to buckets."}],"servers":[{"url":"https://cloud.medianova.com/api","description":"Medianova Cloud API server"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/stook/{organization_uuid}/ftp/{ftp_uuid}":{"delete":{"summary":"Delete an FTP account","operationId":"deleteFTPAccount","tags":["FTP Accounts"],"parameters":[{"name":"organization_uuid","in":"path","required":true,"description":"The UUID of the organization","schema":{"type":"string"}},{"name":"ftp_uuid","in":"path","required":true,"description":"The UUID of the FTP account","schema":{"type":"string"}}],"responses":{"200":{"description":"FTP account successfully deleted","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"boolean","description":"Indicates the success of the request"},"data":{"type":"string","description":"Message indicating the result of the operation"}}}}}}}}}}}
```

### v1 FTP Endpoints (Legacy)

{% hint style="info" %}
These endpoints belong to Stook API v1. Use the v2 endpoints above for new integrations.
{% endhint %}

{% openapi src="/files/nd7UIzZi5FMW7dwp5ZJx" path="/api/v1/stook/{organization\_uuid}/ftp/{ftp\_uuid}" method="get" %}
[stook-ftp-details-v1-api-spec.json](https://542970813-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtK7oIwmhUHdEJcaH4Hx8%2Fuploads%2Fgit-blob-e5598d3391779f52c3e265e75bb63c6ed9771681%2Fstook-ftp-details-v1-api-spec.json?alt=media)
{% endopenapi %}

{% openapi src="/files/4QIaAM2DYliPIx1otsdF" path="/api/v1/stook/{organization\_uuid}/ftp/{ftp\_uuid}" method="put" %}
[stook-ftp-update-v1-api-spec.json](https://542970813-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtK7oIwmhUHdEJcaH4Hx8%2Fuploads%2Fgit-blob-769bff4cc0df4f846753875a28dac2995719fa89%2Fstook-ftp-update-v1-api-spec.json?alt=media)
{% endopenapi %}

{% openapi src="/files/xzV2IgnBAkHCA2Gvjdhn" path="/api/v1/stook/{organization\_uuid}/ftp/{ftp\_uuid}" method="delete" %}
[stook-ftp-delete-v1-api-spec.json](https://542970813-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FtK7oIwmhUHdEJcaH4Hx8%2Fuploads%2Fgit-blob-ef7c84051761bb5c50063d91c87932103f871475%2Fstook-ftp-delete-v1-api-spec.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://clients.medianova.com/api-documentation/object-storage-stook/ftp-accounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
